# NGINX Dockerfile
FROM nginx:1.27.3-alpine

# Import the configuration file for Nginx
COPY /nginx/nginx.conf /etc/nginx/nginx.conf

# Copy the contents of the /app directory to the /var/www/html directory (This is not necessary for this, since we are using PHP and Nginx in separate containers - And we are not using Nginx to serve static files)
#COPY /app /var/www/html

# Expose port 80 (HTTP) and 443 (HTTPS)
EXPOSE 80 443

# Start Nginx when the container starts
CMD ["nginx", "-g", "daemon off;"]